org.apache.maven.shared.artifact.filter

## Class AbstractStrictPatternArtifactFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.AbstractStrictPatternArtifactFilter

All Implemented Interfaces:
  org.apache.maven.artifact.resolver.filter.ArtifactFilter

Direct Known Subclasses:
  StrictPatternExcludesArtifactFilter, StrictPatternIncludesArtifactFilter

    public abstract class AbstractStrictPatternArtifactFilter
    extends Object
    implements org.apache.maven.artifact.resolver.filter.ArtifactFilter

Filter to include or exclude artifacts from a list of patterns. The artifact pattern syntax is of the form:

     [groupId]:[artifactId]:[type]:[version]

Where each pattern segment is optional and supports full and partial `*` wildcards. An empty pattern segment is treated as an implicit wildcard.

For example, `org.apache.*` would match all artifacts whose group id started with `org.apache.`, and `:::*-SNAPSHOT` would match all snapshot artifacts.

Version:
  $Id: AbstractStrictPatternArtifactFilter.java 803321 2009-08-11 23:09:24Z aheritier $
Author:
  Mark Hobson

### Constructor Summary

Constructors
Constructor and Description
`AbstractStrictPatternArtifactFilter(List patterns, boolean include)` Creates a new filter that matches the specified artifact patterns and includes or excludes them according to the specified flag.

### Method Summary

Methods
`boolean` `include(org.apache.maven.artifact.Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractStrictPatternArtifactFilter

    public AbstractStrictPatternArtifactFilter(List patterns,
                                       boolean include)

Creates a new filter that matches the specified artifact patterns and includes or excludes them according to the specified flag.

Parameters:
  `patterns` - the list of artifact patterns to match, as described above
  `include` - `true` to include artifacts that match the patterns, or `false` to exclude them

### Method Detail

#### include

    public boolean include(org.apache.maven.artifact.Artifact artifact)

Specified by:
  `include` in interface `org.apache.maven.artifact.resolver.filter.ArtifactFilter`